NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
NXOpen.Die.DrawDiePunchSectionBuilder Member List

This is the complete list of members for NXOpen.Die.DrawDiePunchSectionBuilder, including all inherited members.

AsyncProcessMessage(IMessage msg, IMessageSink replySink)NXOpen.Utilities.NXRemotableObjectinline
BaseThicknessNXOpen.Die.DrawDiePunchSectionBuilder
BaseWidthNXOpen.Die.DrawDiePunchSectionBuilder
BeltThicknessNXOpen.Die.DrawDiePunchSectionBuilder
BuildStatusNXOpen.Die.DrawDiePunchSectionBuilder
Commit()NXOpen.Builderinline
CommitFeature()NXOpen.Features.FeatureBuilderinline
DeckThicknessNXOpen.Die.DrawDiePunchSectionBuilder
DesignStatusNXOpen.Die.DrawDiePunchSectionBuilder
Destroy()NXOpen.Builderinline
DisplayStatusNXOpen.Die.DrawDiePunchSectionBuilder
GetBaseAttributes(out string title, out string value, out int color)NXOpen.Die.DrawDiePunchSectionBuilderinline
GetBeltWallAttributes(out string title, out string value, out int color)NXOpen.Die.DrawDiePunchSectionBuilderinline
GetCommittedObjects()NXOpen.Builderinline
GetFeature()NXOpen.Features.FeatureBuilderinline
GetFormingAttributes(out string title, out string value, out int color)NXOpen.Die.DrawDiePunchSectionBuilderinline
GetObject()NXOpen.Builderinline
GetPunchProfileAttributes(out string title, out string value)NXOpen.Die.DrawDiePunchSectionBuilderinline
HideInternalParentFeatureAfterEdit(NXOpen.Features.Feature parentFeature)NXOpen.Features.FeatureBuilderinline
NextSinkNXOpen.Utilities.NXRemotableObject
OffsetProfileToTopNXOpen.Die.DrawDiePunchSectionBuilder
ParentFeatureInternalNXOpen.Features.FeatureBuilder
PartialRibHeightNXOpen.Die.DrawDiePunchSectionBuilder
PreviewBuilderNXOpen.Builder
PrintTestData(String variableName)NXOpen.TaggedObjectinline
PrintTestData(String variableName, int lineNumber)NXOpen.TaggedObjectinline
ReliefAngleNXOpen.Die.DrawDiePunchSectionBuilder
ReliefDistanceNXOpen.Die.DrawDiePunchSectionBuilder
SetBaseAttributes(string title, string value, int color)NXOpen.Die.DrawDiePunchSectionBuilderinline
SetBaseThickness(double baseThickness)NXOpen.Die.DrawDiePunchSectionBuilderinline
SetBaseWidth(double baseWidth)NXOpen.Die.DrawDiePunchSectionBuilderinline
SetBeltThickness(string beltThickness)NXOpen.Die.DrawDiePunchSectionBuilderinline
SetBeltWallAttributes(string title, string value, int color)NXOpen.Die.DrawDiePunchSectionBuilderinline
SetDeckThickness(double deckThickness)NXOpen.Die.DrawDiePunchSectionBuilderinline
SetDesignStatus(bool designStatus)NXOpen.Die.DrawDiePunchSectionBuilderinline
SetDisplayStatus(bool displayStatus)NXOpen.Die.DrawDiePunchSectionBuilderinline
SetFormingAttributes(string title, string value, int color)NXOpen.Die.DrawDiePunchSectionBuilderinline
SetOffsetProfileToTop(double offsetProfileToTop)NXOpen.Die.DrawDiePunchSectionBuilderinline
SetParentFeatureInternal(NXOpen.Features.Feature parentFeature)NXOpen.Features.FeatureBuilderinline
SetPartialRibHeight(double partialRibHeight)NXOpen.Die.DrawDiePunchSectionBuilderinline
SetPunchProfileAttributes(string title, string value)NXOpen.Die.DrawDiePunchSectionBuilderinline
SetReliefAngle(double reliefAngle)NXOpen.Die.DrawDiePunchSectionBuilderinline
SetReliefDistance(double reliefDistance)NXOpen.Die.DrawDiePunchSectionBuilderinline
SetWallThickness(double wallThickness)NXOpen.Die.DrawDiePunchSectionBuilderinline
ShowInternalParentFeatureForEdit(NXOpen.Features.Feature parentFeature)NXOpen.Features.FeatureBuilderinline
ShowResults()NXOpen.Builderinline
SyncProcessMessage(IMessage msg)NXOpen.Utilities.NXRemotableObjectinline
TagNXOpen.TaggedObject
ToString()NXOpen.TaggedObjectinline
UnsetParentFeatureInternal(NXOpen.Features.Feature parentFeature)NXOpen.Features.FeatureBuilderinline
Validate()NXOpen.Builderinline
WallThicknessNXOpen.Die.DrawDiePunchSectionBuilder
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.